# class Gem::PlatformMismatch

Generated when trying to lookup a gem to indicate that the gem was found, but that it isn’t usable on the current platform.

fetch and install read these and report them to the user to aid in figuring out why a gem couldn’t be installed.

### Attributes

name [R]

the name of the gem

platforms [R]

The platforms that are mismatched

version [R]

the version

### Public Class Methods

new (name, version)
Source

    # File lib/rubygems/errors.rb, line 119
    def initialize(name, version)
      @name = name
      @version = version
      @platforms = []
    end

### Public Instance Methods

add_platform (platform)
Source

    # File lib/rubygems/errors.rb, line 131
    def add_platform(platform)
      @platforms << platform
    end

append a platform to the list of mismatched platforms.

Platforms are added via this instead of injected via the constructor so that we can loop over a list of mismatches and just add them rather than perform some kind of calculation mismatch summary before creation.

wordy ()
Source

    # File lib/rubygems/errors.rb, line 137
    def wordy
      format("Found %s (%s), but was for platform%s %s", @name, @version, @platforms.size == 1 ? "" : "s", @platforms.join(" ,"))
    end

A wordy description of the error.